PLCnext on LinkedInPLCnext on Instagram  PLCnext on YouTube Github PLCnext CommunityStore PLCnext Community

  1. ictbe2020
  2. PLCnext Technology & PLCnext Controls
  3. Tuesday, 19 May 2020

Hey

I am trying the openCV for PLCnext control (https://www.plcnext-community.net/index.php?option=com_content&view=article&id=266:opencv-with-plcnext-controls&catid=78&Itemid=366&lang=en) but i'm stuck at the part where FFMPEG needs to be compiled.

After the ./config.sh command i always get the same error:

WARNING: arm-pxc-linux-gnueabi-pkg-config not found, library detection may fail.
WARNING: Building with deprecated library libavresample

Is there a way to manually insert this library or can I find this library somewhere else?

Thanks in advance!

 

Martin PLCnext Team Accepted Answer Pending Moderation
0
Votes
Undo

Hello,

Sorry for the delay.

I am guessing that no one in the Community has tried the procedure described in that Makers Blog post recently, so I have had a quick look.

Firstly, can you please check that the paths to the SDK are all correct for your installation. In the Makers Blog post, this is shown as /opt/pxc/2.2.1, but you need to change every instance of this to the path where you installed your SDK.

On a more general point, that Blog post is now two years old and there may be better way to cross-compile ffmpg and opencv. I have had some success with vcpkg, and others have had good results using conan. Perhaps you could give these a try if you have no luck with the the Makers Blog procedure.

~ Martin.

Phoenix Contact Electronics Headquarters - PLCnext Runtime Product Management and Support

  • Page :
  • 1


There are no replies made for this post yet.
However, you are not allowed to reply to this post.